%define upstream_name    LaTeX-TikZ
%define upstream_version 0.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Type constraint metaclass that autoloads type coercions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/LaTeX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util)
BuildRequires: perl(Math::Complex)
BuildRequires: perl(Math::Trig)
BuildRequires: perl(Mouse)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Scope::Guard)
BuildRequires: perl(Sub::Name)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildArch: noarch

%description
This module provides an object model for TikZ, a graphical toolkit for
LaTeX. It allows you to build structures representing geometrical figures,
apply a wide set of modifiers on them, transform them globally with
functors, and print them in the context of an existing TeX document.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README META.yml Changes
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-5.mga8
+ Revision: 1495293
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.30.0-4.mga7
+ Revision: 1268867
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-3.mga6
+ Revision: 1029128
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.30.0-2.mga6
+ Revision: 967726
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.30.0-1.mga6
+ Revision: 850139
- update to 0.03

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 740341
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 685192
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 sander85 <sander85> 0.20.0-3.mga5
+ Revision: 665673
- Fix build (patch from upstream)

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 512533
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 368944
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 kharec <kharec> 0.20.0-1.mga2
+ Revision: 163271
- imported package perl-LaTeX-TikZ


* Sat Nov 05 2011 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
